# Uses of Interface
org.apache.lucene.search.highlight.Encoder

Packages that use Encoder
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

- ## Uses of Encoder in org.apache.lucene.search.highlight

  Classes in org.apache.lucene.search.highlight that implement Encoder
  Modifier and Type
  Class
  Description
  `class`
  `DefaultEncoder`
  Simple `Encoder` implementation that does not modify the output
  `class`
  `SimpleHTMLEncoder`
  Simple `Encoder` implementation to escape text for HTML output
  Methods in org.apache.lucene.search.highlight that return Encoder
  Modifier and Type
  Method
  Description
  `Encoder`
  Highlighter.`getEncoder()`
  Methods in org.apache.lucene.search.highlight with parameters of type Encoder
  Modifier and Type
  Method
  Description
  `void`
  Highlighter.`setEncoder(Encoder encoder)`
  Constructors in org.apache.lucene.search.highlight with parameters of type Encoder
  Modifier
  Constructor
  Description
  ``
  `Highlighter(Formatter formatter, Encoder encoder, Scorer fragmentScorer)`

- ## Uses of Encoder in org.apache.lucene.search.vectorhighlight

  Methods in org.apache.lucene.search.vectorhighlight with parameters of type Encoder
  Modifier and Type
  Method
  Description
  `String`
  BaseFragmentsBuilder.`createFragment(IndexReader reader, int docId, String fieldName, FieldFragList fieldFragList, String[] preTags, String[] postTags, Encoder encoder)`
  `String`
  FragmentsBuilder.`createFragment(IndexReader reader, int docId, String fieldName, FieldFragList fieldFragList, String[] preTags, String[] postTags, Encoder encoder)`
  create a fragment.
  `String[]`
  BaseFragmentsBuilder.`createFragments(IndexReader reader, int docId, String fieldName, FieldFragList fieldFragList, int maxNumFragments, String[] preTags, String[] postTags, Encoder encoder)`
  `String[]`
  FragmentsBuilder.`createFragments(IndexReader reader, int docId, String fieldName, FieldFragList fieldFragList, int maxNumFragments, String[] preTags, String[] postTags, Encoder encoder)`
  create multiple fragments.
  `final String`
  FastVectorHighlighter.`getBestFragment(FieldQuery fieldQuery, IndexReader reader, int docId, String fieldName, int fragCharSize, FragListBuilder fragListBuilder, FragmentsBuilder fragmentsBuilder, String[] preTags, String[] postTags, Encoder encoder)`
  return the best fragment.
  `final String[]`
  FastVectorHighlighter.`getBestFragments(FieldQuery fieldQuery, IndexReader reader, int docId, String fieldName, int fragCharSize, int maxNumFragments, FragListBuilder fragListBuilder, FragmentsBuilder fragmentsBuilder, String[] preTags, String[] postTags, Encoder encoder)`
  return the best fragments.
  `final String[]`
  FastVectorHighlighter.`getBestFragments(FieldQuery fieldQuery, IndexReader reader, int docId, String storedField, Set<String> matchedFields, int fragCharSize, int maxNumFragments, FragListBuilder fragListBuilder, FragmentsBuilder fragmentsBuilder, String[] preTags, String[] postTags, Encoder encoder)`
  Return the best fragments.
  `protected String`
  BaseFragmentsBuilder.`makeFragment(StringBuilder buffer, int[] index, Field[] values, FieldFragList.WeightedFragInfo fragInfo, String[] preTags, String[] postTags, Encoder encoder)`